<div 
    (click)="onContainerClicked($event)" 
    class="modal fade" 
    tabindex="-1" 
    [ngClass]="{'in': visibleAnimate}"
    [ngStyle]="{
        'display': display ? 'block' : 'none', 
        'opacity': visibleAnimate ? 1 : 0,
        'visible': visible ? 'visible' : 'hidden'
    }"
>
    <div
        #dialog 
        class="modal-dialog noselect" 
        [ngClass]="!!customClass ? customClass : ''"
        [ngStyle]="{
            'top.px': top,
            'left.px': left
        }"
    >
        <div class="modal-content">
            <div class="modal-header" (mousedown)="onMouseDown($event)">
                <ng-content select=".dialog-modal-header"></ng-content>
            </div>
            <div class="modal-body">
                <ng-content select=".dialog-modal-body"></ng-content>
            </div>
            <div class="modal-footer">
                <ng-content select=".dialog-modal-footer"></ng-content>
            </div>
        </div>
    </div>
</div>